| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
AlgorithmManager::AlgorithmItem Struct Referencefinal

`#include <src/ApplicationMgr/AlgorithmManager.h>`

Collaboration diagram for AlgorithmManager::AlgorithmItem:
[legend]

## Public Member Functions
| AlgorithmItem (IAlgorithm *s, bool managed=false)
bool | operator== (const std::string &name) const
bool | operator== (const IAlgorithm *ptr) const

## Public Attributes
SmartIF< IAlgorithm > | algorithm
bool | managed

## Detailed Description

Definition at line 33 of file AlgorithmManager.h.

## Constructor & Destructor Documentation

## ◆ AlgorithmItem()

AlgorithmManager::AlgorithmItem::AlgorithmItem | ( | IAlgorithm * | s,
|  | bool | managed = `false`
| ) |  |
| inline

Definition at line 34 of file AlgorithmManager.h.

34 : algorithm( s ), managed( managed ) {}
AlgorithmManager::AlgorithmItem::managed
bool managed
Definition: AlgorithmManager.h:36
gaudirun.s
string s
Definition: gaudirun.py:316
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:35

## Member Function Documentation

## ◆ operator==() [1/2]

bool AlgorithmManager::AlgorithmItem::operator== | ( | const std::string & | name | ) | const
| inline

Definition at line 37 of file AlgorithmManager.h.

37 { return algorithm->name() == name; }
AlgorithmManager::name
const std::string & name() const override
Return the name of the manager (implementation of INamedInterface)
Definition: AlgorithmManager.h:75
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:35

## ◆ operator==() [2/2]

bool AlgorithmManager::AlgorithmItem::operator== | ( | const IAlgorithm * | ptr | ) | const
| inline

Definition at line 38 of file AlgorithmManager.h.

38 { return algorithm.get() == ptr; }
SmartIF::get
TYPE * get() const
Get interface pointer.
Definition: SmartIF.h:76
AlgorithmManager::AlgorithmItem::algorithm
SmartIF< IAlgorithm > algorithm
Definition: AlgorithmManager.h:35

## Member Data Documentation

## ◆ algorithm

SmartIF<IAlgorithm> AlgorithmManager::AlgorithmItem::algorithm

Definition at line 35 of file AlgorithmManager.h.

## ◆ managed

bool AlgorithmManager::AlgorithmItem::managed

Definition at line 36 of file AlgorithmManager.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/ApplicationMgr/AlgorithmManager.h